# Class CIM_BGPPeerGroup
extends CIM_CollectionOfMSEs

A BGP Peer Group is a set of BGP neighbors that share the same update policies. This enables an administrator to assign policies to the peer group, instead of individually. This enables the routers in the Peer Group to optimize UPDATE messages. Consequently, Peer Groups have a set of restrictions that must be followed in order to work correctly with external BGP peers. Otherwise, loss of routing information could occur. A BGPPeerGroup is weak to the AutonomousSystem that contains it. Therefore, the keys from System must be propagated to it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_BGPPeerGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A BGP Peer Group is a set of BGP neighbors that share the same update policies. This enables an administrator to assign policies to the peer group, instead of individually. This enables the routers in the Peer Group to optimize UPDATE messages. Consequently, Peer Groups have a set of restrictions that must be followed in order to work correctly with external BGP peers. Otherwise, loss of routing information could occur. A BGPPeerGroup is weak to the AutonomousSystem that contains it. Therefore, the keys from System must be propagated to it.

UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectRetryInterval | uint32 | 120
Description | string | This defines the time interval, in seconds, for the ConnectRetry timer for the endpoints of the routers in the PeerGroup. The suggested value is 120 seconds.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpConnectRetryInterval
Units | string | Seconds
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
HoldTimeConfigured | uint16 | 90
Description | string | This defines the time interval in seconds for the Hold TimeConfigured property of the endpoints of the routers in the PeerGroup. This value must not be less than three seconds. The suggested value for this timer is 90 seconds.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerHoldTimeConfigured
Units | string | Seconds
KeepAliveConfigured | uint16 | 30
Description | string | This defines the time interval in seconds for the KeepAliveConfigured timer for the endpoints of the routers in the PeerGroup. The suggested value for this property is 30 seconds. The maximum value of this property is 21845 seconds.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerKeepAliveConfigured
Units | string | Seconds
MinASOriginationInterval | uint16 | 15
Description | string | This defines the time interval in seconds for the MinASOriginationInterval timer for the endpoints of the routers in the PeerGroup. The suggested value for this property is 15 seconds.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerMinASOriginationInterval
Units | string | Seconds
MinRouteAdvertisementInterval | uint16 | 30
Description | string | This defines the time interval in seconds for the MinRouteAdvertisementInterval timer for the endpoints of the routers in the PeerGroup. The suggested value for this property is 30 seconds.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerMinRouteAdvertisementInterval
Units | string | Seconds
Name | string |
Description | string | This is the name of the BGP Peer Group.
Key | boolean | true
MaxLen | uint32 | 256
SystemCreationClassName | string |
Description | string | The scoping AutonomousSystem's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AutonomousSystem.CreationClassName
SystemName | string |
Description | string | The scoping AutonomousSystem's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AutonomousSystem.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods